IBM HTTP Server 7.0.0.0 <= 7.0.0.45 / 8.0.0.0 <= 8.0.0.15 / 8.5.0.0 < 8.5.5.17 / 9.0.0.0 < 9.0.5.1 多個弱點 (964768)

medium Nessus Plugin ID 144775

Synopsis

遠端 Web 伺服器受到多個弱點影響。

描述

遠端主機上執行的 IBM HTTP Server 版本受到下列多個弱點影響:

- 在 Expat 2.2.7 之前版本中,libexpat 中的 XML 輸入 (包括含有大量冒號的 XML 名稱) 可以造成 XML 剖析器在處理期間佔用大量 RAM 和 CPU 資源 (足夠用於發動拒絕服務攻擊) 。(CVE-2018-20843)

- 在 Apache HTTP Server 2.4.0-2.4.39 中,報告了一個會影響 mod_proxy 錯誤頁面的有限跨網站指令碼問題。攻擊者可造成錯誤頁面上的連結格式錯誤,並指向攻擊者選擇的頁面。只有在伺服器設定為啟用代理,但因配置不當而顯示「代理錯誤」頁面時,才可利用此漏洞。(CVE-2019-10092)

- 在 Apache HTTP 伺服器 2.4.0 至 2.4.39 中,以 mod_rewrite 設定的重新導向 (原用於自我參照) 可能會遭到編碼的新行誘騙,而重新導向至要求 URL 內的非預期 URL。(CVE-2019-10098)

請注意,Nessus 並未測試此問題,而是僅依據應用程式自我報告的版本號碼。

解決方案

升級至 IBM HTTP Server 8.5.5.17、9.0.5.1 或更新版本。或者,升級版本至過渡期修正所需的最低 Fix Pack 等級,然後套用過渡期修正 PH14974。

另請參閱

https://www.ibm.com/support/pages/node/964768

Plugin 詳細資訊

嚴重性: Medium

ID: 144775

檔案名稱: ibm_http_server_964768.nasl

版本: 1.4

類型: local

代理程式: unix

系列: Web Servers

已發布: 2021/1/6

已更新: 2022/4/11

組態: 啟用徹底檢查

支持的傳感器: Nessus Agent

風險資訊

VPR

風險因素: Medium

分數: 5.1

CVSS v2

風險因素: Medium

基本分數: 5.8

時間分數: 4.5

媒介: AV:N/AC:M/Au:N/C:P/I:P/A:N

時間媒介: E:POC/RL:OF/RC:C

CVSS 評分資料來源: CVE-2019-10098

CVSS v3

風險因素: Medium

基本分數: 6.1

時間分數: 5.5

媒介: CVSS:3.0/AV:N/AC:L/PR:N/UI:R/S:C/C:L/I:L/A:N

時間媒介: E:P/RL:O/RC:C

弱點資訊

CPE: cpe:/a:ibm:http_server

必要的 KB 項目: installed_sw/IBM HTTP Server (IHS)

可被惡意程式利用: true

可輕鬆利用: Exploits are available

修補程式發佈日期: 2019/9/18

弱點發布日期: 2019/6/24

參考資訊

CVE: CVE-2018-20843, CVE-2019-10092, CVE-2019-10098